/**
* @file OperationPool.cpp
* @brief pool for feature extraction methods
* @author Sven Sickert
* @date 10/09/2015

*/

#include "OperationPool.h"

using namespace OBJREC;

OperationPool::OperationPool ( )
{
    config = NULL;
}

OperationPool::OperationPool ( const NICE::Config *_config )
{
    config = _config;
}

OperationPool::~OperationPool ( )
{
}

void OperationPool::clear ( )
{
    while ( !pool.empty() )
        pool.pop_back();
}
